org.apache.cassandra.serializers

## Class SetSerializer<T>

- java.lang.Object
- - org.apache.cassandra.serializers.CollectionSerializer<java.util.Set<T>>
  - - org.apache.cassandra.serializers.SetSerializer<T>

All Implemented Interfaces:
  TypeSerializer<java.util.Set<T>>

    public class SetSerializer<T>
    extends CollectionSerializer<java.util.Set<T>>

### Field Summary

Fields
`TypeSerializer<T>` `elements`

### Method Summary

Methods
`java.util.Set<T>` `deserialize(java.nio.ByteBuffer bytes)`
`static <T> SetSerializer<T>` `getInstance(TypeSerializer<T> elements)`
`java.lang.Class<java.util.Set<T>>` `getType()`
`java.nio.ByteBuffer` `serialize(java.util.Set<T> value)` Layout is: `<n><s_1><b_1>...<s_n><b_n>` where: n is the number of elements s_i is the number of bytes composing the ith element b_i is the s_i bytes composing the ith element
`java.lang.String` `toString(java.util.Set<T> value)`

### Methods inherited from class org.apache.cassandra.serializers.CollectionSerializer

`getUnsignedShort, pack, pack, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### elements

    public final TypeSerializer<T> elements

### Method Detail

#### getInstance

    public static <T> SetSerializer<T> getInstance(TypeSerializer<T> elements)

#### deserialize

    public java.util.Set<T> deserialize(java.nio.ByteBuffer bytes)

#### serialize

    public java.nio.ByteBuffer serialize(java.util.Set<T> value)

Layout is: `<n><s_1><b_1>...<s_n><b_n>` where: n is the number of elements s_i is the number of bytes composing the ith element b_i is the s_i bytes composing the ith element

#### toString

    public java.lang.String toString(java.util.Set<T> value)

#### getType

    public java.lang.Class<java.util.Set<T>> getType()